Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class Tuple

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              groovy.lang.Tuple

    public class Tuple
    extends java.util.AbstractList

Represents a list of Integer objects from a specified int up to but not including a given and to.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`Tuple(java.lang.Object[] contents)`

Method Summary
`boolean` | `equals(java.lang.Object that)`
`boolean` | `equals(Tuple that)`
`java.lang.Object` | `get(int index)`
`int` | `hashCode()`
`int` | `size()`
`java.util.List` | `subList(int fromIndex, int toIndex)`

Methods inherited from class java.util.AbstractList
java.util.AbstractList#add(java.lang.Object), java.util.AbstractList#add(int, java.lang.Object), java.util.AbstractList#get(int), java.util.AbstractList#equals(java.lang.Object), java.util.AbstractList#hashCode(), java.util.AbstractList#indexOf(java.lang.Object), java.util.AbstractList#clear(), java.util.AbstractList#lastIndexOf(java.lang.Object), java.util.AbstractList#subList(int, int), java.util.AbstractList#remove(int), java.util.AbstractList#addAll(int, java.util.Collection), java.util.AbstractList#iterator(), java.util.AbstractList#set(int, java.lang.Object), java.util.AbstractList#listIterator(), java.util.AbstractList#listIterator(int), java.util.AbstractList#toString(), java.util.AbstractList#size(), java.util.AbstractList#isEmpty(), java.util.AbstractList#contains(java.lang.Object), java.util.AbstractList#toArray(), java.util.AbstractList#toArray([Ljava.lang.Object;), java.util.AbstractList#remove(java.lang.Object), java.util.AbstractList#addAll(java.util.Collection), java.util.AbstractList#containsAll(java.util.Collection), java.util.AbstractList#removeAll(java.util.Collection), java.util.AbstractList#retainAll(java.util.Collection), java.util.AbstractList#wait(long), java.util.AbstractList#wait(long, int), java.util.AbstractList#wait(), java.util.AbstractList#getClass(), java.util.AbstractList#notify(), java.util.AbstractList#notifyAll(), java.util.AbstractList#size()

Methods inherited from class java.util.AbstractCollection
java.util.AbstractCollection#add(java.lang.Object), java.util.AbstractCollection#toString(), java.util.AbstractCollection#clear(), java.util.AbstractCollection#size(), java.util.AbstractCollection#isEmpty(), java.util.AbstractCollection#contains(java.lang.Object), java.util.AbstractCollection#toArray(), java.util.AbstractCollection#toArray([Ljava.lang.Object;), java.util.AbstractCollection#remove(java.lang.Object), java.util.AbstractCollection#addAll(java.util.Collection), java.util.AbstractCollection#iterator(), java.util.AbstractCollection#containsAll(java.util.Collection), java.util.AbstractCollection#removeAll(java.util.Collection), java.util.AbstractCollection#retainAll(java.util.Collection), java.util.AbstractCollection#wait(long), java.util.AbstractCollection#wait(long, int), java.util.AbstractCollection#wait(), java.util.AbstractCollection#equals(java.lang.Object), java.util.AbstractCollection#hashCode(), java.util.AbstractCollection#getClass(), java.util.AbstractCollection#notify(), java.util.AbstractCollection#notifyAll()

Constructor Detail

### Tuple

    public Tuple(java.lang.Object[] contents)

Method Detail

### equals

    public boolean equals(java.lang.Object that)

### equals

    public boolean equals(Tuple that)

### get

    public java.lang.Object get(int index)

### hashCode

    public int hashCode()

### size

    public int size()

### subList

    public java.util.List subList(int fromIndex, int toIndex)

Groovy Documentation